//
//  NoteDetailViewController.m
//  MagicNotes
//
//  Created by Nick Jones on 05/05/2013.
//  Copyright (c) 2013 sigfrid. All rights reserved.
//

#import "NoteDetailViewController.h"
#import "Note+Create.h"

@interface NoteDetailViewController ()
@property (nonatomic, strong) Note *note;
@end

@implementation NoteDetailViewController
@synthesize note = _note;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.titleLabel.text = self.note.title;
    self.contentView.text = self.note.content;
    // Convert date object to desired output format
    self.dateLabel.text =[self.note formatDateAsString];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
